%define pkg_version %(echo %version | tr . _)
Name:          jawk
Version:       1.02
Release:       %mkrel 1
Summary:       AWK for Java
Group:         Development/Java
License:       GPL
Url:           http://jawk.sourceforge.net/
Source0:       http://sourceforge.net/projects/jawk/files/jawk/%{version}/jawk_src.%{pkg_version}.jar
Source1:       jawk-%{version}.pom
Source2:       jawk-jrt-%{version}.pom
BuildRequires: bcel
BuildRequires: java-devel
BuildRequires: jpackage-utils
Requires:      bcel
Requires:      jpackage-utils
BuildArch:     noarch

%description
Jawk is the implementation of AWK in Java. Jawk parses, analyzes, and
interprets and/or compiles AWK scripts. Compilation is targetted for the
JVM.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Jawk - AWK for Java.

This package contains javadoc for %{name}.

%prep
%setup -q -c -n jawk-%{version}
mkdir -p target/classes
mkdir -p target/apidocs
mkdir -p src
mv *.java src/

%build

export CLASSPATH=target/classes:$(build-classpath bcel)
javac -d target/classes `find src -name '*.java'`
for c in $(find target/classes/ -name "*.class" | grep -v '\$'); do
   d=$(dirname $c)
   s=$(echo $d | sed -e 's/\/classes\//\/apisrc\//')
   mkdir -p $s
   f=$(basename $c)
   j=$(echo $f | sed -e 's/\.class/\.java/')
   [ -f src/$j ] && cp src/$j $s
done

javadoc -d target/apidocs \
  -encoding iso-8859-1 \
  -sourcepath target/apisrc org.jawk org.jawk.backend org.jawk.ext org.jawk.frontend org.jawk.intermediate org.jawk.jrt org.jawk.util

pushd target/classes
jar cf ../jawk-%{version}.jar *
jar cf ../jawk-jrt-%{version}.jar org/jawk/ext/* org/jawk/jrt/* org/jawk/util/AwkParameters.class
popd

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}/
mkdir -p %{buildroot}%{_mavenpomdir}

install -pm 644 target/jawk-%{version}.jar \
  %{buildroot}%{_javadir}/jawk-%{version}.jar

install -pm 644 target/jawk-jrt-%{version}.jar \
  %{buildroot}%{_javadir}/jawk-jrt-%{version}.jar

%add_to_maven_depmap jawk jawk %{version} JPP jawk
%add_to_maven_depmap jawk jrt %{ext_version} JPP jawk-jrt
install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-jawk.pom
install -m 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-jawk-jrt.pom

(
  cd %{buildroot}%{_javadir}/
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/jawk-%{version}
cp -pr target/apidocs/* %{buildroot}%{_javadocdir}/jawk-%{version}
ln -sf jawk-%{version} %{buildroot}%{_javadocdir}/jawk

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jawk-%{version}.jar
%{_javadir}/jawk.jar
%{_javadir}/jawk-jrt-%{version}.jar
%{_javadir}/jawk-jrt.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/jawk-%{version}
%{_javadocdir}/jawk



%changelog
* Sun Jul 31 2011 dmorgan <dmorgan> 1.02-1.mga2
+ Revision: 130884
- Clean spec file

* Fri Jun 10 2011 gil <gil> 1.02-0.mga2
+ Revision: 102850
- imported package jawk


* Sun Jun 05 2011 gil <gil> 1.02-0.%%mkrel
- initial rpm